curl --request POST \
--url https://cloudlab.scispot.io/sequence/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GFP Gene",
"sequenceData": "ATGCGTAAAGGCGAGGAAC",
"type": "DNA",
"circular": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GFP Gene',
sequenceData: 'ATGCGTAAAGGCGAGGAAC',
type: 'DNA',
circular: false
})
};
fetch('https://cloudlab.scispot.io/sequence/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/sequence/new"
payload = {
"name": "GFP Gene",
"sequenceData": "ATGCGTAAAGGCGAGGAAC",
"type": "DNA",
"circular": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"uuid": "<uuid>",
"success": true
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Create a DNA Sequence (Deprecated)
(Deprecated — use POST /sequences instead.) Create a sequence. Provide either sequenceData (nucleotide) or proteinSequenceData (amino acid). The feature arrays below are stored as opaque pass-through data.
curl --request POST \
--url https://cloudlab.scispot.io/sequence/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GFP Gene",
"sequenceData": "ATGCGTAAAGGCGAGGAAC",
"type": "DNA",
"circular": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GFP Gene',
sequenceData: 'ATGCGTAAAGGCGAGGAAC',
type: 'DNA',
circular: false
})
};
fetch('https://cloudlab.scispot.io/sequence/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/sequence/new"
payload = {
"name": "GFP Gene",
"sequenceData": "ATGCGTAAAGGCGAGGAAC",
"type": "DNA",
"circular": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"uuid": "<uuid>",
"success": true
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Authorizations
Personal access token from Scispot Account → Personal Tokens
Body
The name of the sequence to create.
The nucleotide sequence content. Provide either sequenceData or proteinSequenceData.
The amino-acid (protein) sequence content, accepted as an alternative to sequenceData.
(Optional) The sequence type.
(Optional) Whether the sequence is circular.
(Optional) The length of the sequence.
(Optional) Restriction cut sites. Stored as opaque pass-through data.
(Optional) Open reading frames. Stored as opaque pass-through data.
(Optional) Translation regions. Stored as opaque pass-through data.
(Optional) Primers. Stored as opaque pass-through data.
(Optional) Guide RNAs. Stored as opaque pass-through data.
(Optional) Feature annotations. Stored as opaque pass-through data.
